package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;

/**
 * @Description 餐饮索引订单
 * @Author: ph
 * @Date: 2019/12/9 19:50
 */
public class CyIndexOrder extends BaseIndexOrder {

    private static final long serialVersionUID = -2958445984867228552L;

    /**
     * 预约时间
     */
    private Integer isReserveTakeoutTimeEmpty;

    /**
     * 是否制作完成
     */
    private Integer isProductionEnd;


    /**
     * 平台支付
     */
    private Integer usePlatForm;

    /**
     * 使用钱包金额
     */
    private Integer walletAmount;

    /**
     * 支付金额
     */
    private Integer amount;

    /**
     * 找零金额
     */
    private Integer changeAmount;

    /**
     * 活动id列表
     */
    private List<Long> activityIdList;

    /**
     * 优惠id列表
     */
    private List<String> discountIdList;

    /**
     * 是否退款完成
     */
    private Integer refundCompleted;

    /**
     * 预约时间
     */
    private Date reserveTime;

    /**
     * 收货人手机号
     */
    private String receiverMobile;

    /**
     * 所有退款单含有的状态
     */
    private List<Integer> refundAllStatusList;

    /**
     * 拼团状态
     */
    private Integer groupStatus;

    /**
     * 拼团类型
     */
    private Integer groupType;

    /**
     * 搜索
     */
    private List<String> searchList;

    /**
     * 同步【李先生】erp系统异常
     * 由上游业务系统控制何时去除异常
     */
    private Integer syncErpError;

    public Integer getSyncErpError() {
        return syncErpError;
    }

    public void setSyncErpError(Integer syncErpError) {
        this.syncErpError = syncErpError;
    }

    public List<String> getSearchList() {
        return searchList;
    }

    public void setSearchList(List<String> searchList) {
        this.searchList = searchList;
    }

    public Integer getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(Integer groupStatus) {
        this.groupStatus = groupStatus;
    }

    public Integer getGroupType() {
        return groupType;
    }

    public void setGroupType(Integer groupType) {
        this.groupType = groupType;
    }

    public List<Integer> getRefundAllStatusList() {
        return refundAllStatusList;
    }

    public void setRefundAllStatusList(List<Integer> refundAllStatusList) {
        this.refundAllStatusList = refundAllStatusList;
    }

    public List<String> getDiscountIdList() {
        return discountIdList;
    }

    public void setDiscountIdList(List<String> discountIdList) {
        this.discountIdList = discountIdList;
    }

    public List<Long> getActivityIdList() {
        return activityIdList;
    }

    public void setActivityIdList(List<Long> activityIdList) {
        this.activityIdList = activityIdList;
    }

    public Integer getUsePlatForm() {
        return usePlatForm;
    }

    public void setUsePlatForm(Integer usePlatForm) {
        this.usePlatForm = usePlatForm;
    }

    public Integer getIsProductionEnd() {
        return isProductionEnd;
    }

    public void setIsProductionEnd(Integer isProductionEnd) {
        this.isProductionEnd = isProductionEnd;
    }

    public Integer getIsReserveTakeoutTimeEmpty() {
        return isReserveTakeoutTimeEmpty;
    }

    public void setIsReserveTakeoutTimeEmpty(Integer isReserveTakeoutTimeEmpty) {
        this.isReserveTakeoutTimeEmpty = isReserveTakeoutTimeEmpty;
    }

    public Integer getWalletAmount() {
        return walletAmount;
    }

    public void setWalletAmount(Integer walletAmount) {
        this.walletAmount = walletAmount;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(Integer changeAmount) {
        this.changeAmount = changeAmount;
    }

    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public Date getReserveTime() {
        return reserveTime;
    }

    public void setReserveTime(Date reserveTime) {
        this.reserveTime = reserveTime;
    }

    public String getReceiverMobile() {
        return receiverMobile;
    }

    public void setReceiverMobile(String receiverMobile) {
        this.receiverMobile = receiverMobile;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
